package com.ruoyi.database.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntityMini;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(value = "base_address_info")
@ApiModel(value = "BaseAddressInfo", description = "地址信息表")
public class BaseAddressInfo extends BaseEntityMini {



    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("地址编码")
    private String addCode;


    @ApiModelProperty("地址名称")
    private String addName;


    @ApiModelProperty("上级id")
    private Long topId;


}
