package com.ruoyi.database.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.SqlCondition;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Description DwglLog
 * @Author lijingtong
 * @Date 2025-06-06
 */

@Data
@TableName("gwgl_log")
@ApiModel("非工作日饮酒报备单")
public class gwglLog {
    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("申请编号")
    private String applyNo;

    @ApiModelProperty("单位意见")
    private String reason;

    @ApiModelProperty("申请编号")
    private Integer result;

    @ApiModelProperty("部门ID")
    private Long deptId;

    @ApiModelProperty("部门名称")
    private String deptName;

    @ApiModelProperty("申请人ID")
    private Long userId;

    @ApiModelProperty("申请人姓名")
    private String userName;

    @ApiModelProperty("申请时间")
    private Long createTime;
    @TableField(exist = false)
    private String createTimeCn;

    @ApiModelProperty("申请类型")
    private Integer type;

    @ApiModelProperty("审核人")
    private String checker;

    @ApiModelProperty("审核时间")
    private Long checkTime;
    @TableField(exist = false)
    private String checkTimeCn;

    @ApiModelProperty("审核状态")
    private Integer checkState;
    @TableField(exist = false)
    private String checkStateCn;

    @ApiModelProperty("uuid")
    private String uuid;

    @ApiModelProperty("审核人部门")
    private String checkDeptName;

    @ApiModelProperty("审核人部门id")
    private Long checkDeptId;


    @ApiModelProperty("审批状态")
    private Integer approvalStatus;
    @TableField(exist = false)
    private String approvalStatusCn;
}
